org.apache.sysds.parser

## Class IfStatement

- java.lang.Object
- - org.apache.sysds.parser.Statement
  - - org.apache.sysds.parser.IfStatement

All Implemented Interfaces:
  ParseInfo

    public class IfStatement
    extends Statement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.parser.Statement

`Statement.FederatedPSScheme, Statement.PSCheckpointing, Statement.PSFrequency, Statement.PSModeType, Statement.PSRuntimeBalancing, Statement.PSScheme, Statement.PSUpdateType`

### Field Summary

### Fields inherited from class org.apache.sysds.parser.Statement

`BOOLEAN_VALUE_TYPE, DOUBLE_VALUE_TYPE, FRAME_DATA_TYPE, GAGG_FN, GAGG_FN_CM, GAGG_FN_CM_ORDER, GAGG_FN_COUNT, GAGG_FN_MEAN, GAGG_FN_SUM, GAGG_FN_VARIANCE, GAGG_GROUPS, GAGG_NUM_GROUPS, GAGG_TARGET, GAGG_WEIGHTS, INT_VALUE_TYPE, MATRIX_DATA_TYPE, OUTPUTSTATEMENT, PS_AGGREGATION_FUN, PS_BATCH_SIZE, PS_CHECKPOINTING, PS_EPOCHS, PS_FEATURES, PS_FED_AGGREGATION_FNAME, PS_FED_BATCH_SIZE, PS_FED_DATA_SIZE, PS_FED_GRADIENTS_FNAME, PS_FED_MODEL_VARID, PS_FED_NAMESPACE, PS_FED_POSS_BATCHES_LOCAL, PS_FED_RUNTIME_BALANCING, PS_FED_WEIGHTING, PS_FREQUENCY, PS_GRADIENTS, PS_HYPER_PARAMS, PS_LABELS, PS_MODE, PS_MODEL, PS_PARALLELISM, PS_SCHEME, PS_SEED, PS_UPDATE_FUN, PS_UPDATE_TYPE, PS_VAL_FEATURES, PS_VAL_FUN, PS_VAL_LABELS, SCALAR_DATA_TYPE, SEQ_FROM, SEQ_INCR, SEQ_TO, SETWD, SOURCE, STRING_VALUE_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`IfStatement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStatementBlockElseBody(StatementBlock sb)`
`void` `addStatementBlockIfBody(StatementBlock sb)`
`boolean` `controlStatement()`
`ConditionalPredicate` `getConditionalPredicate()`
`ArrayList<StatementBlock>` `getElseBody()`
`ArrayList<StatementBlock>` `getIfBody()`
`VariableSet` `initializebackwardLV(VariableSet lo)`
`void` `initializeforwardLV(VariableSet activeIn)`
`void` `mergeStatementBlocksElseBody()`
`void` `mergeStatementBlocksIfBody()`
`Statement` `rewriteStatement(String prefix)`
`void` `setConditionalPredicate(ConditionalPredicate pred)`
`void` `setElseBody(ArrayList<StatementBlock> body)`
`void` `setIfBody(ArrayList<StatementBlock> body)`
`String` `toString()`
`VariableSet` `variablesRead()`
`VariableSet` `variablesUpdated()`

### Methods inherited from class org.apache.sysds.parser.Statement

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getText, isEmptyNewLineStatement, printErrorLocation, printWarningLocation, raiseValidateError, raiseValidateError, setBeginColumn, setBeginLine, setCtxValues, setCtxValuesAndFilename, setEmptyNewLineStatement, setEndColumn, setEndLine, setFilename, setParseInfo, setText`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.parser.ParseInfo

`ctxAndFilenameToParseInfo`

### Constructor Detail

#### IfStatement

    public IfStatement()

### Method Detail

#### rewriteStatement

    public Statement rewriteStatement(String prefix)

Specified by:
  `rewriteStatement` in class `Statement`

#### setConditionalPredicate

    public void setConditionalPredicate(ConditionalPredicate pred)

#### addStatementBlockIfBody

    public void addStatementBlockIfBody(StatementBlock sb)

#### addStatementBlockElseBody

    public void addStatementBlockElseBody(StatementBlock sb)

#### getConditionalPredicate

    public ConditionalPredicate getConditionalPredicate()

#### getIfBody

    public ArrayList<StatementBlock> getIfBody()

#### getElseBody

    public ArrayList<StatementBlock> getElseBody()

#### setIfBody

    public void setIfBody(ArrayList<StatementBlock> body)

#### setElseBody

    public void setElseBody(ArrayList<StatementBlock> body)

#### controlStatement

    public boolean controlStatement()

Specified by:
  `controlStatement` in class `Statement`

#### initializeforwardLV

    public void initializeforwardLV(VariableSet activeIn)

Specified by:
  `initializeforwardLV` in class `Statement`

#### initializebackwardLV

    public VariableSet initializebackwardLV(VariableSet lo)

Specified by:
  `initializebackwardLV` in class `Statement`

#### mergeStatementBlocksIfBody

    public void mergeStatementBlocksIfBody()

#### mergeStatementBlocksElseBody

    public void mergeStatementBlocksElseBody()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### variablesRead

    public VariableSet variablesRead()

Specified by:
  `variablesRead` in class `Statement`

#### variablesUpdated

    public VariableSet variablesUpdated()

Specified by:
  `variablesUpdated` in class `Statement`